Skip to main content
GET
/
bundles-details
Get Bundle Details
curl --request GET \
  --url https://api.secure.quotivity.com/v1/bundles-details \
  --header 'x-api-key: <api-key>'
{
  "bundles": [
    {
      "id": "<string>",
      "isActive": true,
      "included": [
        {
          "id": "<string>",
          "name": "<string>",
          "displayOrder": 123,
          "configuration": {
            "minCount": 123,
            "maxCount": 123,
            "defaultOptionProductId": "<string>"
          },
          "products": [
            {
              "id": "<string>",
              "productId": "<string>",
              "properties": {},
              "displayOrder": 123,
              "adjustments": {},
              "standardPrice": {},
              "listPrice": {},
              "configuration": {
                "minQuantity": 123,
                "maxQuantity": 123,
                "readonlyQuantity": true
              }
            }
          ]
        }
      ],
      "addOns": [
        {
          "id": "<string>",
          "name": "<string>",
          "displayOrder": 123,
          "configuration": {
            "minCount": 123,
            "maxCount": 123,
            "defaultOptionProductId": "<string>"
          },
          "products": [
            {
              "id": "<string>",
              "productId": "<string>",
              "properties": {},
              "displayOrder": 123,
              "adjustments": {},
              "standardPrice": {},
              "listPrice": {},
              "configuration": {
                "minQuantity": 123,
                "maxQuantity": 123,
                "readonlyQuantity": true
              }
            }
          ]
        }
      ],
      "header": {
        "productId": "<string>",
        "properties": {}
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

bundleIds
string
required

Comma-separated list of bundle IDs

properties
string

Comma-separated list of HubSpot product properties to include

Response

Successfully retrieved bundle details

bundles
object[]
required